Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iniorbit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iniorbit.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iniorbit.F90	(revision 5142)
@@ -1,3 +1,5 @@
 SUBROUTINE iniorbit(paphelie, pperiheli, pyear_day, pperi_day, pobliq)
+  USE lmdz_planete, ONLY: aphelie, periheli, year_day, peri_day, obliquit, timeperi, e_elips, p_elips, unitastr
+
   IMPLICIT NONE
 
@@ -18,5 +20,5 @@
   ! ----------
   ! - Doit etre appele avant d'utiliser orbite.
-  ! - initialise une partie du common planete.h
+  ! - initialise une partie du module lmdz_planete.f90
 
   ! Arguments:
@@ -33,6 +35,4 @@
   ! Declarations:
   ! -------------
-
-  include "planete.h"
   include "YOMCST.h"
 
@@ -50,5 +50,5 @@
   ! -----------------------------------------------------------------------
 
-  pi = 2.*asin(1.)
+  pi = 2. * asin(1.)
 
   aphelie = paphelie
@@ -64,6 +64,6 @@
   PRINT *, 'Date perihelie : ', peri_day
   unitastr = 149.597870
-  e_elips = (aphelie-periheli)/(periheli+aphelie)
-  p_elips = 0.5*(periheli+aphelie)*(1-e_elips*e_elips)/unitastr
+  e_elips = (aphelie - periheli) / (periheli + aphelie)
+  p_elips = 0.5 * (periheli + aphelie) * (1 - e_elips * e_elips) / unitastr
 
   PRINT *, 'e_elips', e_elips
@@ -76,6 +76,6 @@
   ! calcul de l'zanomalie moyenne
 
-  zz = (year_day-pperi_day)/year_day
-  zanom = 2.*pi*(zz-nint(zz))
+  zz = (year_day - pperi_day) / year_day
+  zanom = 2. * pi * (zz - nint(zz))
   zxref = abs(zanom)
   PRINT *, 'zanom  ', zanom
@@ -84,11 +84,11 @@
   ! methode de Newton
 
-  zx0 = zxref + r_ecc*sin(zxref)
+  zx0 = zxref + r_ecc * sin(zxref)
   DO iter = 1, 100
-    zdx = -(zx0-r_ecc*sin(zx0)-zxref)/(1.-r_ecc*cos(zx0))
+    zdx = -(zx0 - r_ecc * sin(zx0) - zxref) / (1. - r_ecc * cos(zx0))
     IF (abs(zdx)<=(1.E-12)) GO TO 120
     zx0 = zx0 + zdx
   END DO
-120 CONTINUE
+  120 CONTINUE
   zx0 = zx0 + zdx
   IF (zanom<0.) zx0 = -zx0
@@ -97,7 +97,6 @@
   ! zteta est la longitude solaire
 
-  timeperi = 2.*atan(sqrt((1.+r_ecc)/(1.-r_ecc))*tan(zx0/2.))
+  timeperi = 2. * atan(sqrt((1. + r_ecc) / (1. - r_ecc)) * tan(zx0 / 2.))
   PRINT *, 'longitude solaire du perihelie timeperi = ', timeperi
 
-
 END SUBROUTINE iniorbit
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5142)
@@ -7,4 +7,5 @@
   USE indice_sol_mod
   USE lmdz_geometry, ONLY: longitude, latitude
+  USE lmdz_YOECUMF
     
   IMPLICIT NONE 
@@ -20,5 +21,4 @@
 
   INCLUDE "YOMCST.h"
-  INCLUDE "YOECUMF.h" 
 
 ! Input Arguments
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_YOECUMF.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_YOECUMF.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_YOECUMF.f90	(revision 5142)
@@ -0,0 +1,42 @@
+MODULE lmdz_YOECUMF
+  !     ----------------------------------------------------------------
+  !*    *COMMON* *YOECUMF* - PARAMETERS FOR CUMULUS MASSFLUX SCHEME
+  !     ----------------------------------------------------------------
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC ENTRPEN, ENTRSCV, ENTRMID, ENTRDD, CMFCTOP, CMFCMAX, CMFCMIN, CMFDEPS, RHCDD, &
+          CPRCON, LMFPEN, LMFSCV, LMFMID, LMFDD, LMFDUDV
+
+  LOGICAL          LMFPEN, LMFSCV, LMFMID, LMFDD, LMFDUDV
+  REAL ENTRPEN, ENTRSCV, ENTRMID, ENTRDD
+  REAL CMFCTOP, CMFCMAX, CMFCMIN, CMFDEPS, RHCDD, CPRCON
+  !$OMP THREADPRIVATE(ENTRPEN, ENTRSCV, ENTRMID, ENTRDD, CMFCTOP, CMFCMAX, CMFCMIN, CMFDEPS, RHCDD, &
+  !$OMP      CPRCON, LMFPEN, LMFSCV, LMFMID, LMFDD, LMFDUDV)
+
+  !*if (DOC,declared) <> 'UNKNOWN'
+  !*    *COMMON* *YOECUMF* - PARAMETERS FOR CUMULUS MASSFLUX SCHEME
+
+  !     M.TIEDTKE       E. C. M. W. F.      18/1/89
+
+  !     NAME      TYPE      PURPOSE
+  !     ----      ----      -------
+
+  !     LMFPEN    LOGICAL  TRUE IF PENETRATIVE CONVECTION IS SWITCHED ON
+  !     LMFSCV    LOGICAL  TRUE IF SHALLOW     CONVECTION IS SWITCHED ON
+  !     LMFMID    LOGICAL  TRUE IF MIDLEVEL    CONVECTION IS SWITCHED ON
+  !     LMFDD     LOGICAL  TRUE IF CUMULUS DOWNDRAFT      IS SWITCHED ON
+  !     LMFDUDV   LOGICAL  TRUE IF CUMULUS FRICTION       IS SWITCHED ON
+  !     ENTRPEN   REAL     ENTRAINMENT RATE FOR PENETRATIVE CONVECTION
+  !     ENTRSCV   REAL     ENTRAINMENT RATE FOR SHALLOW CONVECTION
+  !     ENTRMID   REAL     ENTRAINMENT RATE FOR MIDLEVEL CONVECTION
+  !     ENTRDD    REAL     ENTRAINMENT RATE FOR CUMULUS DOWNDRAFTS
+  !     CMFCTOP   REAL     RELAT. CLOUD MASSFLUX AT LEVEL ABOVE NONBUOYANC
+  !     CMFCMAX   REAL     MAXIMUM MASSFLUX VALUE ALLOWED FOR
+  !     CMFCMIN   REAL     MINIMUM MASSFLUX VALUE (FOR SAFETY)
+  !     CMFDEPS   REAL     FRACTIONAL MASSFLUX FOR DOWNDRAFTS AT LFS
+  !     RHCDD     REAL     RELATIVE SATURATION IN DOWNDRAFTS
+  !     CPRCON    REAL     COEFFICIENTS FOR DETERMINING CONVERSION
+  !                        FROM CLOUD WATER TO RAIN
+  !*ifend
+  !     ----------------------------------------------------------------
+END MODULE lmdz_YOECUMF
